# Notify

https://v1.quasar.dev/quasar-plugins/notify#grouping

![](https://alicdn.taoya.art/img/202205120919581.png)

### 安装

```js
// quasar.conf.js

return {
  framework: {
    plugins: [
      'Notify'
    ],
    config: {
      notify: { /* look at QUASARCONFOPTIONS from the API card (bottom of page) */ }
    }
  }
}
```

### 使用

```js
// outside of a Vue file
import { Notify } from 'quasar'

Notify.create('Danger, Will Robinson! Danger!')
// or with a config object:
Notify.create({
  message: 'Danger, Will Robinson! Danger!'
})

// inside of a Vue file
this.$q.notify('Message')

// 添加配置
this.$q.notify({...})
```

### API


| 属性     | 说明 | 类型 | 默认值 | 可选值|
| -------- | ---- | ---- |-----|-----|
| position    | 方向      |   String   |  bottom    | top,left,right,bottom,top-left ... |
| type    | 类型      |   String   |      | positive(默认)、negative(危险)、warning(警告)、info、ongoing |




